# spec file for php-horde-Horde-Kolab-Format
#
# Copyright (c) 2013 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name    Horde_Kolab_Format
%global pear_channel pear.horde.org

Name:           php-horde-Horde-Kolab-Format
Version:        2.0.9
Release:        2%{?dist}
Summary:        A package for reading/writing Kolab data formats

Group:          Development/Libraries
License:        LGPLv2
URL:            http://%{pear_channel}/
Source0:        http://%{pear_channel}/get/%{pear_name}-%{version}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php(language) >= 5.3.0
BuildRequires:  php-pear(PEAR) >= 1.7.0
BuildRequires:  php-channel(%{pear_channel})
# To run unit tests
BuildRequires:  php-pear(%{pear_channel}/Horde_Test) >= 2.1.0

Requires(post): %{__pear}
Requires(postun): %{__pear}
Requires:       php(language) >= 5.3.0
Requires:       php-date
Requires:       php-dom
#Requires:       php-ereg
Requires:       php-mbstring
Requires:       php-pcre
Requires:       php-pear(PEAR) >= 1.7.0
Requires:       php-channel(%{pear_channel})
Requires:       php-pear(%{pear_channel}/Horde_Exception) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Exception) <  3.0.0
# Optional
Requires:       php-pear(%{pear_channel}/Horde_Support) >= 2.0.0
Requires:       php-pear(%{pear_channel}/Horde_Support) <  3.0.0

Provides:       php-pear(%{pear_channel}/%{pear_name}) = %{version}


%description
This package allows to convert Kolab data objects from XML to data arrays.


%prep
%setup -q -c
cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml


%build
cd %{pear_name}-%{version}
# Empty build section, most likely nothing required.


%install
rm -rf %{buildroot}
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

# Clean up unnecessary files
rm -rf %{buildroot}%{pear_metadir}/.??*

# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
src=$(pwd)/%{pear_name}-%{version}

# fix for unit consistency in sources tree 
# waiting for upstream explanation on this issue
sed -e '/VERSION =/s/%{version}/@version@/' \
    -i $src/lib/Horde/Kolab/Format.php

cd %{pear_name}-%{version}/test/$(echo %{pear_name} | sed -e s:_:/:g)
phpunit \
    -d date.timezone=UTC \
    .


%clean
rm -rf %{buildroot}


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_channel}/%{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%doc %{pear_docdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%dir %{pear_phpdir}/Horde/Kolab
%{pear_phpdir}/Horde/Kolab/Format
%{pear_phpdir}/Horde/Kolab/Format.php
%{pear_testdir}/%{pear_name}


%changelog
* Tue Feb 06 2018 josef radinger <cheese@nosuchhost.net> - 2.0.9-2
- Disable requirement on ereg and spl

* Sun Jul 10 2016 josef radinger <cheese@nosuchhost.net> - 2.0.9-1
- bump version

* Wed Feb 03 2016 josef radinger <cheese@nosuchhost.net> - 2.0.8-1
- bump version
- fix check-section

* Tue Apr 28 2015 josef radinger <cheese@nosuchhost.net> - 2.0.7-1
- bump version

* Sun Jan 11 2015 josef radinger <cheese@nosuchhost.net> - 2.0.6-1
- bump version

* Sun Apr 13 2014 josef radinger <cheese@nosuchhost.net> - 2.0.5-1
- Update to 2.0.5

* Sun Sep 08 2013 Remi Collet <remi@fedoraproject.org> - 2.0.4-1
- Update to 2.0.4

* Thu Mar 28 2013 Remi Collet <remi@fedoraproject.org> - 2.0.3-1
- initial package
